﻿// Fill out your copyright notice in the Description page of Project Settings.


#include "LMHealthPack.h"

#include "Player/LMHealthComponent.h"
#include "Player/LMPlayer.h"


ALMHealthPack::ALMHealthPack()
{
	PrimaryActorTick.bCanEverTick = false;
}

void ALMHealthPack::ConsumePack(ALMPlayer* Player)
{
	Super::ConsumePack(Player);
	
	Player->GetHealthComponent()->AddHealth(HealthGain);
	OnPackConsumed();
	Despawn();
}

